Bug 190503 - IMAP just show only one mail
Summary: IMAP just show only one mail
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Microsoft Windows
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-24 12:07 UTC by mariokoci
Modified: 2009-04-30 13:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mariokoci 2009-04-24 12:07:25 UTC
Version:           1.10.1 (enterprise4 0.20090313.938844) (using 4.1.4, MinGW 3.4.5)
Compiler:          gcc.exe
OS:                Microsoft Windows (i686) release 5.1 (XP Professional)

When you get to see the mails who are on imap you just see only one mail.

You can refresh view but without effect.

In Thunbird i see moren then 100 mails in the inbox

Bye
Comment 1 Thomas McGuire 2009-04-29 12:51:19 UTC
SVN commit 960925 by tilladam:

Make sure to seek between all read and write operations, that's required at least on Windows and Solaris. Makes online IMAP and mbox work properly on Windows. BUG: 190503

 M  +2 -1      kmfoldermbox.cpp
Comment 2 mariokoci 2009-04-29 16:42:18 UTC
Hi!

Can you give other words like

"Make sure to seek between all read and write operations"

I have on the top by filters "all" selecetd . Not just unread emails.

And bye reads and writes to the disk i have admin rights
Comment 3 Till Adam 2009-04-29 16:58:12 UTC
This was a bug in the code, which I've fixed. You don't need to do anything apart from waiting for the next version. :) The message that Thomas posted of my commit is only the developer level explanation of what I did.
Comment 4 Thomas McGuire 2009-04-29 17:57:38 UTC
Note that the next version is not 4.2.3, the patch didn't make it in time for that.

But since you use the enterprise4 version: That release schedule is independent from that, but I don't know when the next snapshot will be released.
Comment 5 mariokoci 2009-04-30 13:36:18 UTC
Hi all!

I tooked offline imap and now it works great!

I dont know why because in any other client is imap the right one. 

But thanks for your help

On the other way there other problems wicht you get in an new bug ;)